unit nullabletypes.simple;

{$mode delphi}

interface

uses
  TypInfo,
  NullableTypes.Exception,
  NullableTypes.SupportTypes;

type

  { Nullable<T> }

  Nullable<T> = record
  strict private
     {$INCLUDE nullabletype.base.privatemembers.inc}
  public
     {$INCLUDE nullabletype.base.publicmembers.inc}
  end;

  { Simple Nullable Types }

  NullableChar  = Nullable<Char>;

implementation

uses
  Variants;

{ Nullable<T> }

{$INCLUDE nullabletype.base.implementation.inc}

end.

