constructor Create(AValue: T);
procedure Clear;
function GetValueOrDefault: T; overload;
function GetValueOrDefault(Default: T): T; overload;
property HasValue: Boolean read GetHasValue;
property Value: T read GetValue;

class function ConcreteTypeInfo: PTypeInfo; static;
class function ConcreteTypeName: string; static;
class function ConcreteTypeKind: TTypeKind; static;

class operator NotEqual(ALeft, ARight: Nullable<T>): Boolean;
class operator Equal(ALeft, ARight: Nullable<T>): Boolean;

class operator Implicit(Value: Nullable<T>): T;
class operator Implicit(Value: T): Nullable<T>;
class operator Implicit(Value: Pointer): Nullable<T>;
class operator Implicit(Value: Variant): Nullable<T>;
class operator Explicit(Value: Nullable<T>): T;
