class operator Nullable<T>.LeftShift(A, B: Nullable<T>): Nullable<T>;
begin
  Result := A.Value shl B.Value;
end;

class operator Nullable<T>.RightShift(A, B: Nullable<T>): Nullable<T>;
begin
  Result := A.Value shr B.Value;
end;

class operator Nullable<T>.BitwiseAnd(A, B: Nullable<T>): Nullable<T>;
begin
  Result := A.Value and B.Value;
end;

class operator Nullable<T>.BitwiseOr(A, B: Nullable<T>): Nullable<T>;
begin
  Result := A.Value or B.Value;
end;

class operator Nullable<T>.BitwiseXor(A, B: Nullable<T>): Nullable<T>;
begin
  Result := A.Value xor B.Value;
end;
